# dismissHabitStreak

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| POST | https://api.thomas.co/v1/habit-streaks/dismiss |

| Field | Value |
|---|---|
| operationId | dismissHabitStreak |
| method | POST |
| server | https://api.thomas.co/v1 |
| path | /habit-streaks/dismiss |
| tags | `Habits` |
| summary | Dismiss today's habit streak item |
| badges | None |

## Request Parameters

None.

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Habit streak state after dismissal (streak untouched) | #/components/schemas/HabitTodayResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
